AOZ Studio Beta - Bug #256

Global variables are not initialized when attempt is made to access them inside a procedure, if they
weren't touched other than the Global statement.

02/26/2020 06:31 AM - Brian Flanagan

Status: New Start date: 02/26/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Affected version: 0.9.6

Description
See related issue #152 regarding Help_31.

Previously, the windows would open, but used the wrong background colors.
Now, the first click generates a Software Failure at this command:

Border Rnd(4)+1,P,15-P

Apparently, the reason it fails is that the Global variable P is returning NaN.

This causes a Magician error. If, however, P is accessed before calling the
procedure, it succeeds. (Even attempting to "Print P" before calling will make it work.)

The Global statement itself, should initialize the variable to it's default value if it hasn't already been declared.

Note: Help_31 was mostly working in previous version. Now it causes Software Failure - Magician Meditation.

History

#1 - 02/29/2020 12:25 AM - Brian Flanagan
- Affected version changed from 0.9.5 to 0.9.5.1

#2 - 03/02/2020 04:57 PM - Brian Flanagan

- Affected version changed from 0.9.5.1 to 0.9.6

Changed 0.9.5.1 to 0.9.6 (affected version). Problem still exists:

Additional information: Verified in Help_31 after 1. correcting the Drive not found error, and adding debugging statement inside the "MORE"

procedures.
Printing the value of P (Global) indicated that it was NaN. When | inserted a P=0 right after the global statement, then it worked.
